# Configure project for production

## Create production build

### Central
The production release of central backend and frontend can be realised on a computer which has NodeJS and Rust installed by executing the following command at the root of the project:

```bash
make
```

The backend will be available at this location:

```
central_backend/target/release/central_backend
```

### Python device
The Python device isn't production ready yet.


### ESP32 device

#### Flashing the device directly
Use the following commands to flash a device (inside ESP-IDF environnment):

```bash
idf.py build
idf.py flash
```


#### Getting an OTA update
Use the following command to build an OTA update:

```bash
idf.py build
```

The OTA update is then located in `build/main.bin`


## Pre-requisites
* A server running a recent Linux (Debian / Ubuntu preferred) with `central` as hostname
* DHCP configured on the network

## Configure server
TODO